Skip to main content
POST
/
v1
/
funding
/
stripe-onramp-session
Stripe fiat→crypto on-ramp session
curl --request POST \
  --url https://api.getsly.ai/v1/v1/funding/stripe-onramp-session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "default_amount_usd": 123,
  "return_url": "<string>"
}
'
{
  "data": {
    "session_url": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "session_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Body

application/json
wallet_id
string<uuid>
required
default_amount_usd
number
return_url
string<uri>

Response

201 - application/json

Session

data
object
required